/*
 * ---------------- www.spacesimulator.net --------------
 *   ---- Space simulators and 3d engine tutorials ----
 *
 * Author: Damiano Vitulli
 *
 * This program is released under the BSD licence
 * By using this program you agree to licence terms on spacesimulator.net copyright page
 *
 *
 * Object functions
 *  
 * File header
 *  
 */

#import <Cocoa/Cocoa.h>
#import "defs.h"

/**********************************************************
 *
 * FUNCTIONS DECLARATION
 *
 *********************************************************/

extern char ObjLoad(obj_type_ptr object, NSString *p_object_name, NSString *p_texture_name, 
					float p_pos_x, float p_pos_y, float p_pos_z, 
					int p_rot_x, int p_rot_y, int p_rot_z);
extern void ObjCalcNormals(obj_type_ptr p_object);
extern void ObjPosition (obj_type_ptr p_object,float p_x,float p_y,float p_z);
extern void ObjTranslate (obj_type_ptr p_object,float p_x,float p_y,float p_z);
extern void ObjTranslateW (obj_type_ptr p_object,float p_x,float p_y,float p_z);
extern void ObjRotate (obj_type_ptr p_object,int p_angle_x,int p_angle_y,int p_angle_z);