//
//  AFApplication.m
//
//  Created by Ariel Feinerman on 2/18/10.
//  Copyright 2010 Alice Software Inc. All rights reserved.
//

#import "AFApplication.h"
#import "AFController.h"
#import "Scene.h"


@implementation AFApplication

@synthesize engine;

- (void) sendEvent: (NSEvent *) theEvent {
	
	if (FullScreen) {
		NSEventType type = [theEvent type];
		
		switch (type) {
				
			case NSMouseMoved:
				[engine mouseMoved: theEvent];
				break;
				
			case NSLeftMouseUp:
				[engine mouseUp: theEvent];
				break;
				
			case NSLeftMouseDown:
				[engine mouseDown: theEvent];
				break;
			
			case NSRightMouseUp:
				[engine rightMouseUp: theEvent];
				break;

			case NSRightMouseDown:
				[engine rightMouseDown: theEvent];
				break;

			case NSScrollWheel:
				[engine scrollWheel: theEvent];
				break;

			case NSKeyUp:
				[engine keyUp: theEvent];
				break;

			case NSKeyDown:
				[engine keyDown: theEvent];
				break;

			default:
				break;
		}
	}
	else {
		[super sendEvent: theEvent];
	}
}

@end
