/*
 * ---------------- www.spacesimulator.net --------------
 *   ---- Space simulators and 3d engine tutorials ----
 *
 * Author: Damiano Vitulli
 *
 * This program is released under the BSD licence
 * By using this program you agree to licence terms on spacesimulator.net copyright page
 *
 *
 * Camera management
 *  
 * File header
 *  
 */

#import "matr.h"



 /**********************************************************
 *
 * TYPES DECLARATION
 *
 *********************************************************/

typedef struct {

	matrix_4x4_type matrix; //posizione e rotazione camera assi locali

} camera_type, *camera_type_ptr;



/**********************************************************
 *
 * VARIABLES DECLARATION
 *
 *********************************************************/


/**********************************************************
 *
 * FUNCTIONS DECLARATION
 *
 *********************************************************/

extern void CamTranslate (camera_type_ptr camera, float p_x,float p_y,float p_z);
extern void CamTranslateW (camera_type_ptr camera, float p_x,float p_y,float p_z);
extern void CamRotate (camera_type_ptr camera, int p_angle_x,int p_angle_y,int p_angle_z);
